function battle_sai018(npcID)       --一贫
	n=flag.GetBattleValue(15186)
	n=n+1
    flag.SetBattleValue(15186,n)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

	if n%4==1 or n%4==3 then

    a=battle.GetRndNumber(1,10) 
	
        if a>=1 and a<=3 then
       		
			id=battle.GetRndPlayer()        --普通攻击
			battle.MagicToPlayer(id,1476,1)
		elseif a>=4 and a<=5 then			--单体技能-天剑
       		
			id=battle.GetRndPlayer()
			battle.MagicToPlayer(id,1479,2)
		elseif a>=6 and a<=8 then    		--单体技能-御剑术
       		
            id=battle.GetRndPlayer()
			battle.MagicToPlayer(id,1473,2)
		elseif a>=9 and a<=10 then          --全体技能-万剑诀
			
			battle.MagicToPlayer(0,1474,2)
		end

	elseif n%4==0 then

		
		battle.MagicToPlayer(0,1474,2)
	else
		
		battle.MagicToNpc(90000,1472,1)
	end
	

end